Create output

Base URL
https://{kibana_url}
  • POST /api/fleet/outputs
  • POST /s/{space_id}/api/fleet/outputs
Auth

Path parameters

space_id string optional

An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.

Request body

One of:
type: elasticsearch
type enum
Values: elasticsearch
ca_sha256 string
ca_trusted_fingerprint string
config object
config_yaml string
hosts string[]
id string
is_default boolean
is_default_monitoring boolean
is_internal boolean
name string required
preset enum
Values: balanced custom throughput scale latency
proxy_id string
shipper object
compression_level number
disk_queue_compression_enabled boolean
disk_queue_enabled boolean
disk_queue_encryption_enabled boolean
disk_queue_max_size number
disk_queue_path string
loadbalance boolean
ssl object
certificate string
certificate_authorities string[]
key string

Responses

OK

application/json
item union oneOf
One of: (determined by type)
type: elasticsearch
type enum
Values: elasticsearch
ca_sha256 string
ca_trusted_fingerprint string
config object
config_yaml string
hosts string[]
id string
is_default boolean
is_default_monitoring boolean
is_internal boolean
name string required
preset enum
Values: balanced custom throughput scale latency
proxy_id string
shipper object
compression_level number
disk_queue_compression_enabled boolean
disk_queue_enabled boolean
disk_queue_encryption_enabled boolean
disk_queue_max_size number
disk_queue_path string
loadbalance boolean
ssl object
certificate string
certificate_authorities string[]
key string

Generic Error

application/json
error string
message string
statusCode number
Base URL
https://{kibana_url}